
open Options

let rec main n argv =
        if optionp argv.(n) then begin
                handle_option argv.(n);
                main (n+1) argv
        end else begin
          let prog = Syntax.from_file argv.(n) in
          if !debug then (Eval.builtin_print 0 (Stree.Seq prog);
          print_endline "----");
          let result = Eval.eval prog in
          if !debug then (print_endline "----";
          Eval.builtin_print 0 (Stree.Seq result))
        end

let _ = main 1 Sys.argv

